=== debian/changelog ===
openvas-scanner (5.0.7-3) unstable; urgency=medium

  * Add German debconf templates translation (Closes: #843771)
  * Add Brazilian Portuguese debconf templates translation (Closes: #846527)
  * Add Dutch debconf templates translation (Closes: #845694)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Tue, 13 Dec 2016 20:05:13 +0800

openvas-scanner (5.0.7-2) unstable; urgency=medium

  * Fix typo in zh_TW.po
  * Add French debconf templates translation (Closes: #843625)
  * Add lsb-base dependency

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Tue, 08 Nov 2016 22:45:17 +0800

openvas-scanner (5.0.7-1) unstable; urgency=medium

  * Import upstream version to Debian (Closes: #838124)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Tue, 20 Sep 2016 14:33:27 +0800

openvas-scanner (5.0.5-0kali1) kali-experimental; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Wed, 22 Jun 2016 11:15:25 +0200

openvas-scanner (5.0.4-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Fri, 11 Sep 2015 09:31:32 +0200

openvas-scanner (5.0.1-0kali3) kali-dev; urgency=medium

  * Enable systemd postinst snippets.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 28 Jul 2015 17:01:02 +0200

openvas-scanner (5.0.1-0kali2) kali-dev; urgency=medium

  * Add a proper systemd service file.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 28 Jul 2015 15:49:30 +0200

openvas-scanner (5.0.1-0kali1) kali; urgency=medium

  * Import new upstream release
  * Add redis-server (>= 2.4.0) as depends
  * Add .examples to install examples files for redis-server
  * Update debian/copyright

 -- Sophie Brun <sophie@freexian.com>  Fri, 10 Apr 2015 17:02:54 +0200

openvas-scanner (4.0.2-0kali4) kali-dev; urgency=medium

  * Rebuild in kali-dev for libgcrypt11/gnutls28 transition. 

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 21 Nov 2014 18:47:38 +0100

openvas-scanner (4.0.2-0kali3) kali; urgency=medium

  * Don't start/stop/restart the init script in maintainer scripts as it tends
    to not work when not properly configured.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 26 Aug 2014 10:35:53 +0200

openvas-scanner (4.0.2-0kali2) kali; urgency=medium

  * Fix init script by dropping "-q".

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 04 Aug 2014 11:52:52 +0200

openvas-scanner (4.0.2-0kali1) kali; urgency=medium

  * New upstream release
  * Add file debian/copyright
  * Add file debian/source/format
  * Update debian/rules to use debhelper 9
  * Add "Default stop" 1 in .init

 -- Sophie Brun <sophie@freexian.com>  Thu, 31 Jul 2014 16:02:44 +0200

openvas-scanner (3.4.0-0kali1) kali; urgency=low

  * New upsteam release.
  * Update build dependencies. 

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 02 May 2013 11:12:08 +0200

openvas-scanner (3.3.1-1kali1) kali; urgency=low

  * Version bump

 -- Mati Aharoni <muts@kali.org>  Tue, 04 Dec 2012 14:13:32 -0500

openvas-scanner (3.3.1-1kali0) kali; urgency=low

  [ Stephan Kleine ]
  * New upstream release
    - NVT management code has been updated to reflect the updated openvas-libraries
      API.
    - The optional use of the external tool "ovaldi" has been made more secure.
    - OpenVAS Scanner now uses UTC internally.
    - The greenbone-nvt-sync script has been updated.
    - Changed: Do not force execution of ACT_INIT category.
    - Fixed: A number of potential resource leaks.
    - Fixed: A number of compiler warnings when compiling with gcc 4.6.
    - Fixed: Usage of the mktemp template in openvas-nvt-sync.
    - Removed: Support for shared sockets.
    - New: The scanner options "network_scan" and "report_host_details" have been
      added to the default scanner options.

  [ Mati Aharoni ]
  * Version update

 -- Mati Aharoni <muts@kali.org>  Tue, 04 Dec 2012 14:01:31 -0500

openvas-scanner (3.2.5-1) UNRELEASED; urgency=low

  * New upstream release
    - The optional use of the external tool "ovaldi" has been made more secure.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Fri, 04 Nov 2011 21:42:26 +0100

openvas-scanner (3.2.4-1) UNRELEASED; urgency=low

  * New upstream release
    - Fixed: Two potential resource leaks.
    - Fixed: A number of compiler warning when compiling with gcc 4.6.
    - Fixed: Usage of the mktemp template in openvas-nvt-sync.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Wed, 08 Jun 2011 20:16:05 +0200

openvas-scanner (3.2.3-1) UNRELEASED; urgency=low

  * New upstream release
    - Fixed: Three potential resource leaks.
    - Fixed: Generation of code documentation.
    - Updated: Feed synchronization scripts.
    - Changed: The openvas-nvt-sync script will now perform the initial feed
      synchronization via HTTP instead of rsync.
    - Changed: The openvas-nvt-sync script will now default to synchronize into the
      NVT directory used by the OpenVAS Scanner instead of the one defined at
      compile time.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Mon, 11 Apr 2011 19:26:36 +0200

openvas-scanner (3.2.2-1) UNRELEASED; urgency=low

  * New upstream release
    - The last bashism has been removed from the openvas-nvt-sync synchronization
      script.
    - The greenbone-nvt-sync script now logs additional information during
      synchronization.
    - An unimplemented and superfluous function declaration has been removed.
    - The openvassd man page has been updated.
    - The build environment has been consolidated.
    - The greenbone-nvt-sync script has been improved.
    - OpenVAS Scanner now sets a default value for the "unscanned_closed"
      preference.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Wed, 23 Feb 2011 19:39:35 +0100

openvas-scanner (3.2.0-1) UNRELEASED; urgency=low

  * New upstream release
    - The sync scripts have been updated.
    - OpenVAS Scanner now uses pkg-config to find libraries.
    - Installation of the openvas-services file has been moved to openvas-libraries.

