=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with systemd

override_dh_auto_configure:
	dh_auto_configure -- -DLOCALSTATEDIR=/var -DSYSCONFDIR=/etc -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=release

override_dh_install:
	dh_install --list-missing

override_dh_installinit:
	dh_installinit --no-start

override_dh_strip:
	dh_strip --dbgsym-migration='openvas-scanner (<< 5.0.7-1~)'

override_dh_auto_clean:
	debconf-updatepo
	dh_auto_clean
