## openvas-scanner 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>
 #
 # Copyright:
-# Copyright (C) 2011-2015 Greenbone Networks GmbH
+# Copyright (C) 2011-2016 Greenbone Networks GmbH
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -27,7 +27,7 @@
 
 project (openvas-scanner C)
 
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required (VERSION 2.8)
 
 if (POLICY CMP0005)
   cmake_policy (SET CMP0005 OLD)
@@ -56,17 +56,44 @@
 endmacro (Subversion_GET_REVISION)
 
 if (NOT CMAKE_BUILD_TYPE MATCHES "Release")
-  if (EXISTS "${CMAKE_SOURCE_DIR}/.svn/")
+  if (EXISTS "${CMAKE_SOURCE_DIR}/.svn/" OR EXISTS "${CMAKE_SOURCE_DIR}/../.svn/")
     if (SVN_EXECUTABLE)
       Subversion_GET_REVISION(. ProjectRevision)
-      set (SVN_REVISION ".SVN.r${ProjectRevision}")
+      set (SVN_REVISION "~svn${ProjectRevision}")
     else (SVN_EXECUTABLE)
-      set (SVN_REVISION ".SVN")
+      set (SVN_REVISION "~svn")
     endif (SVN_EXECUTABLE)
-  endif (EXISTS "${CMAKE_SOURCE_DIR}/.svn/")
+  endif (EXISTS "${CMAKE_SOURCE_DIR}/.svn/" OR EXISTS "${CMAKE_SOURCE_DIR}/../.svn/")
 endif (NOT CMAKE_BUILD_TYPE MATCHES "Release")
 
 # TODO: Check pkg-config (maybe with code like in gsa/CMakeLists.txt).
+
+## Project version
+# The following three variables should be set through the project command once
+# we require CMake >= 3.0
+set (PROJECT_VERSION_MAJOR 5)
+set (PROJECT_VERSION_MINOR 1)
+set (PROJECT_VERSION_PATCH 1)
+
+# Set beta version if this is a beta release series,
+# unset if this is a stable release series.
+#set (PROJECT_BETA_RELEASE 1)
+
+if (SVN_REVISION)
+  set (PROJECT_VERSION_SVN "${SVN_REVISION}")
+endif (SVN_REVISION)
+
+# If PROJECT_BETA_RELEASE is set, the version string will be set to:
+#   "major.minor+beta${PROJECT_BETA_RELEASE}"
+# If PROJECT_BETA_RELEASE is NOT set, the version string will be set to:
+#   "major.minor.patch"
+if (PROJECT_BETA_RELEASE)
+  set (PROJECT_VERSION_SUFFIX "+beta${PROJECT_BETA_RELEASE}")
+else (PROJECT_BETA_RELEASE)
+  set (PROJECT_VERSION_SUFFIX ".${PROJECT_VERSION_PATCH}")
+endif (PROJECT_BETA_RELEASE)
+
+set (PROJECT_VERSION_STRING "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}${PROJECT_VERSION_SUFFIX}")
 
 ## CPack configuration
 
@@ -81,41 +108,16 @@
 set (CPACK_SOURCE_TOPLEVEL_TAG "")
 set (CPACK_SYSTEM_NAME "")
 set (CPACK_TOPLEVEL_TAG "")
-set (CPACK_PACKAGE_VERSION_MAJOR "5")
-set (CPACK_PACKAGE_VERSION_MINOR "0")
-
-# Use this scheme for stable releases
-set (CPACK_PACKAGE_VERSION_PATCH "7${SVN_REVISION}")
-set (CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
-# Use this scheme for +betaN and +rcN releases:
-#set (CPACK_PACKAGE_VERSION_PATCH "+beta1${SVN_REVISION}")
-#set (CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}${CPACK_PACKAGE_VERSION_PATCH}")
+
+set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION_STRING}${PROJECT_VERSION_SVN}")
 
 set (CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
 set (CPACK_PACKAGE_VENDOR "The OpenVAS Project")
 set (CPACK_SOURCE_IGNORE_FILES
+"${CMAKE_BINARY_DIR}"
 "/.svn/"
-"/_CPack_Packages/"
-"/CMakeFiles/"
-"cmake$"
 "swp$"
-"Cache.txt$"
-".tar.gz"
-"install_manifest.txt"
-"Makefile"
-"/doc/generated/"
-"log.conf$"
-"Doxyfile$"
-"Doxyfile_full$"
-"openvassd.8$"
-"VERSION$"
-"tools/openvas-mkcert$"
-"tools/openvas-mkcert-client$"
-"tools/openvas-nvt-sync$"
-"tools/greenbone-nvt-sync$"
-"doc/example_redis_2_4.conf$"
-"doc/example_redis_2_6.conf$"
 )
 
 include (CPack)
@@ -157,22 +159,21 @@
 #if (NOT SYSCONFDIR)
 #  set (SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc")
 #endif (NOT SYSCONFDIR)
+if (NOT OPENVAS_RUN_DIR)
+  set (OPENVAS_RUN_DIR "${LOCALSTATEDIR}/run")
+endif (NOT OPENVAS_RUN_DIR)
 
 set (OPENVAS_DATA_DIR    "${DATADIR}/openvas")
 set (OPENVAS_STATE_DIR   "${LOCALSTATEDIR}/lib/openvas")
 set (OPENVAS_LOG_DIR     "${LOCALSTATEDIR}/log/openvas")
 set (OPENVAS_CACHE_DIR   "${LOCALSTATEDIR}/cache/openvas")
-set (OPENVAS_PID_DIR     "${LOCALSTATEDIR}/run")
 set (OPENVAS_SYSCONF_DIR "${SYSCONFDIR}/openvas")
 
-set (OPENVAS_NVT_DIR     "${OPENVAS_STATE_DIR}/plugins")
+if (NOT OPENVAS_NVT_DIR)
+  set (OPENVAS_NVT_DIR     "${OPENVAS_STATE_DIR}/plugins")
+endif (NOT OPENVAS_NVT_DIR)
 
 set (OPENVAS_LIB_INSTALL_DIR     "${LIBDIR}")
-set (OPENVAS_SCANNER_CERTIFICATE "${OPENVAS_STATE_DIR}/CA/servercert.pem")
-set (OPENVAS_SCANNER_KEY         "${OPENVAS_STATE_DIR}/private/CA/serverkey.pem")
-set (OPENVAS_CLIENT_CERTIFICATE  "${OPENVAS_STATE_DIR}/CA/clientcert.pem")
-set (OPENVAS_CLIENT_KEY          "${OPENVAS_STATE_DIR}/private/CA/clientkey.pem")
-set (OPENVAS_CA_CERTIFICATE      "${OPENVAS_STATE_DIR}/CA/cacert.pem")
 
 set (OPENVASSD_MESSAGES "${OPENVAS_LOG_DIR}/openvassd.messages")
 set (OPENVASSD_DEBUGMSG "${OPENVAS_LOG_DIR}/openvassd.dump")
@@ -185,11 +186,10 @@
 
 ## Dependency checks
 
-pkg_check_modules (LIBOPENVAS_NASL REQUIRED libopenvas_nasl>=8.0.2)
-pkg_check_modules (LIBOPENVAS_BASE REQUIRED libopenvas_base>=8.0.2)
-pkg_check_modules (LIBOPENVAS_MISC REQUIRED libopenvas_misc>=8.0.2)
-pkg_check_modules (LIBOPENVAS_OMP REQUIRED libopenvas_omp>=8.0.2)
-pkg_check_modules (GLIB REQUIRED glib-2.0>=2.16)
+pkg_check_modules (LIBOPENVAS_NASL REQUIRED libopenvas_nasl>=9.0.0)
+pkg_check_modules (LIBOPENVAS_BASE REQUIRED libopenvas_base>=9.0.0)
+pkg_check_modules (LIBOPENVAS_MISC REQUIRED libopenvas_misc>=9.0.0)
+pkg_check_modules (GLIB REQUIRED glib-2.0>=2.32)
 
 message (STATUS "Looking for libgcrypt...")
 find_library (GCRYPT gcrypt)
@@ -207,8 +207,7 @@
 
 ## Version
 
-string (REPLACE "
-" "" OPENVASSD_VERSION ${CPACK_PACKAGE_VERSION})
+set (OPENVASSD_VERSION "${PROJECT_VERSION_STRING}")
 
 # Configure Doxyfile with version number
 configure_file (doc/Doxyfile.in doc/Doxyfile @ONLY)
@@ -217,19 +216,18 @@
 configure_file (doc/example_redis_2_4.conf.in doc/example_redis_2_4.conf @ONLY)
 configure_file (doc/example_redis_2_6.conf.in doc/example_redis_2_6.conf @ONLY)
 configure_file (VERSION.in VERSION @ONLY)
-configure_file (tools/openvas-mkcert.in tools/openvas-mkcert @ONLY)
-configure_file (tools/openvas-mkcert-client.in tools/openvas-mkcert-client @ONLY)
-configure_file (tools/openvas-nvt-sync.in tools/openvas-nvt-sync @ONLY)
 configure_file (tools/greenbone-nvt-sync.in tools/greenbone-nvt-sync @ONLY)
 # TODO: Once  Scanner has a proper logging mechanism like Manager.
 #configure_file (src/openvassd_log_conf.cmake_in src/openvassd_log.conf)
 
 ## Program
 
-set (HARDENING_FLAGS            "-Wformat -Wformat-security -O2 -D_FORTIFY_SOURCE=2 -fstack-protector -Wl,-z,relro -Wl,-z,now")
-
-set (CMAKE_C_FLAGS_DEBUG        "${CMAKE_C_FLAGS_DEBUG} -Werror")
-set (CMAKE_C_FLAGS              "${CMAKE_C_FLAGS} ${HARDENING_FLAGS} -Wall -D_BSD_SOURCE -D_ISOC99_SOURCE -D_SVID_SOURCE -D_DEFAULT_SOURCE")
+set (HARDENING_FLAGS            "-Wformat -Wformat-security -O2 -D_FORTIFY_SOURCE=2 -fstack-protector")
+set (LINKER_HARDENING_FLAGS     "-Wl,-z,relro -Wl,-z,now")
+set (GPGME_C_FLAGS              "-D_FILE_OFFSET_BITS=64 -DLARGEFILE_SOURCE=1")
+
+set (CMAKE_C_FLAGS_DEBUG        "${CMAKE_C_FLAGS_DEBUG} ${GPGME_C_FLAGS} -Werror -Wextra")
+set (CMAKE_C_FLAGS              "${CMAKE_C_FLAGS} ${HARDENING_FLAGS} ${GPGME_C_FLAGS} -Wall -D_BSD_SOURCE -D_ISOC99_SOURCE -D_SVID_SOURCE -D_DEFAULT_SOURCE")
 
 add_subdirectory (src)
 
@@ -251,27 +249,15 @@
 #install (FILES openvassd_log.conf
 #         DESTINATION ${OPENVAS_SYSCONF_DIR})
 
-install (FILES ${CMAKE_BINARY_DIR}/tools/openvas-mkcert
-               ${CMAKE_BINARY_DIR}/tools/openvas-nvt-sync
-               ${CMAKE_BINARY_DIR}/tools/greenbone-nvt-sync
+install (FILES ${CMAKE_BINARY_DIR}/tools/greenbone-nvt-sync
          DESTINATION ${SBINDIR}
          PERMISSIONS OWNER_EXECUTE OWNER_READ OWNER_WRITE
                      GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 
-install (FILES ${CMAKE_BINARY_DIR}/tools/openvas-mkcert-client
-         DESTINATION ${BINDIR}
-         PERMISSIONS OWNER_EXECUTE OWNER_READ OWNER_WRITE
-                     GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
-
-install (FILES ${CMAKE_SOURCE_DIR}/doc/openvas-mkcert-client.1
-          DESTINATION ${DATADIR}/man/man1 )
-
 install (FILES ${CMAKE_BINARY_DIR}/doc/openvassd.8
          DESTINATION ${DATADIR}/man/man8 )
 
-install (FILES ${CMAKE_SOURCE_DIR}/doc/openvas-mkcert.8
-               ${CMAKE_SOURCE_DIR}/doc/openvas-nvt-sync.8
-               ${CMAKE_SOURCE_DIR}/doc/greenbone-nvt-sync.8
+install (FILES ${CMAKE_SOURCE_DIR}/doc/greenbone-nvt-sync.8
          DESTINATION ${DATADIR}/man/man8 )
 
 install (FILES ${CMAKE_BINARY_DIR}/doc/example_redis_2_4.conf
