=== debian/changelog ===
openvas-scanner (5.1.1-3) unstable; urgency=medium

  [ Javier Fernández-Sanguino Peña ]
  * Add previous changelog entries from openvas-server (Closes: #873968)

  [ SZ Lin (林上智) ]
  * d/po: Add ru.po from Lev Lamberov (Closes: #883141)
  * d/control: Bump standards version to 4.1.2
  * d/control: Bump version of "debhelper" to 10
  * d/compat: Bump compat version to 10

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 01 Dec 2017 13:49:29 +0800

openvas-scanner (5.1.1-2) unstable; urgency=medium

  * Move package from experimental to sid archive
  * Bump standards version to 4.0.0

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Jun 2017 11:26:56 +0800

openvas-scanner (5.1.1-1~exp2) experimental; urgency=medium

  * Add libgcrypt20-dev in build-depending (Closes: #864126)
  * Remove libgcrypt11-dev transition package in build-depending

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 05 Jun 2017 11:48:35 +0800

openvas-scanner (5.1.1-1~exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Add es.po from jathan (Closes: #855612, #856245)

  [ SZ Lin (林上智) ]
  * Add pt.po from Traduz (Closes: #858750)
  * Move it to experimental archive

  [ Gavin Lai ]
  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 21 Mar 2017 23:19:48 +0800

openvas-scanner (5.1.0-1) UNRELEASED; urgency=medium

  * Import new upstream release
  * Add German debconf templates translation (Closes: #843771)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Mon, 14 Nov 2016 15:04:56 +0800

openvas-server (2.0.3-6) unstable; urgency=low

  * debian/openvas-server.config: Change the template names to openvas-server
    which prevents an installation error for users running on 'medium' or lower
    debconf priority (Closes: #674612)
  * debian/openvas-server.postrm: Remove cache directory after purge 
    (Closes: #608734)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 30 May 2012 23:52:49 +0200

openvas-server (2.0.3-5) unstable; urgency=low

  * debian/control: 
     - Add a reference to nessus in the package description (Closes: #580252)
     - Update references to VCS
  * _Really_ include the translation updates promised in the previous
    version (Closes: #581744, #597312)
  * debian/README.Debian: Update the name of the openvas-plugins script
    (Closes: #580528, #662647)
  [ Changes by Jan Wagner <waja@cyconet.org> ]
  * Add gettext-base as dependency for openvas-server (LP: #511981)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 06 Oct 2010 02:21:32 +0200

openvas-server (2.0.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Brazilian Portuguese (Eder L. Marques).  Closes: #629116
    - Dutch; (Jeroen Schot).  Closes: #655719
    - Slovak (Ivan Masár).  Closes: #656527
    - Danish (Joe Hansen).  Closes: #656747
    - Spanish; (Javier Fernández-Sanguino).  Closes: #656405

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Jan 2012 07:47:56 +0100

 openvas-server (2.0.3-4) unstable; urgency=low
 
   * Update for PO-debconf translation updates:

openvas-server (2.0.3-4) unstable; urgency=low

  * Update for PO-debconf translation updates:
    - Updated Brazilian Portuguese Translation, provided by Eder L. Marques
      (Closes: #581744)
    - Updated Italian translation, provided by Vincenzo Campanella (Closes:
      #597312)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 06 Oct 2010 02:10:52 +0200

openvas-server (2.0.3-3.2) UNRELEASED; urgency=low

  * Stop providing the openvas-nvt-sync script since this will be
    provided by a new openvas-plugins package. (Closes: #546746)
    (Removed patches 11_openvas-nvt-sync.dpatch 12_openvas_nvt-sync-var.dpatch)
    Note: This is required since there are some plugins that
    are required for proper OpenVAS operation.
  * Add debian/README.source to describe patch management
  * Adjust dependencies (Depends: on openvas-plugins and remove the 
    Recommends of tools which are related to plugins)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 20 Sep 2009 04:29:56 +0200

openvas-server (2.0.3-3) unstable; urgency=low

  * Add README.source
  * Raise build-dep of libopenvas2-dev to (>= 2.0.4-2), which should fix build
    issues on mips
  * Fix 10_bashism.dpatch, which broke the scripts
  * Fix Vcs location
  * Remove openvas-nvt-sync, which moved to openvas-plugins-base
    (Closes: #546746)
    - Drop 11_openvas-nvt-sync.dpatch and 12_openvas_nvt-sync-var.dpatch
    - Remove Recommands: rsync, nmap, smbclient
    - Remove Suggests: snmp, pnscan, strobe, ike-scan
  * Add Recommends: openvas-plugins-base
  * Add Suggests: openvas-plugins-dfsg

 -- Jan Wagner <waja@cyconet.org>  Mon, 12 Oct 2009 14:40:08 +0200

openvas-server (2.0.3-2) unstable; urgency=low

  * Add 11_openvas-nvt-sync.dpatch and 12_openvas_nvt-sync-var.dpatch to patch
    list (Closes: #534846, #532937)
  * Fix typo in 11_openvas-nvt-sync.dpatch
  * Adjust 11_openvas-nvt-sync.dpatch to work with latest upstream release

 -- Jan Wagner <waja@cyconet.org>  Thu, 27 Aug 2009 16:25:31 +0200

openvas-server (2.0.3-1) unstable; urgency=low

  * New upstream release
  * Raise build-dep of libopenvas2-dev to (>= 2.0.4) and libopenvasnasl2-dev
    to (>= 2.0.2)
  * Bump Standards-Version to 3.8.3, no changes needed
  * Move /usr/bin/openvasd-config back to openvas-server-dev

 -- Jan Wagner <waja@cyconet.org>  Wed, 19 Aug 2009 14:42:31 +0200

openvas-server (2.0.2-2) unstable; urgency=low

  * really add the watch file

 -- Jan Wagner <waja@cyconet.org>  Tue, 04 Aug 2009 13:13:04 +0200

openvas-server (2.0.2-1) unstable; urgency=low

  [ Jan Wagner ]
  * New upstream release
  * Bump Standards-Version to 3.8.2, no changes needed
  * removing absolute path calling rm in postinst, lintian fix.
  * add checkbashisms check for /usr/*bin/openvas-* and add devscripts as
    build-dep
  * add it.po, thanks to Vincenzo Campanella (Closes: #513361)

