=== debian/control ===
--- 
+++ 
@@ -2,21 +2,19 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
-Uploaders: Stephan Kleine <bitshuffler@opensuse.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
-Build-Depends: debhelper (>= 9.20151219),
-               dh-systemd,
-               cmake (>= 2.6),
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           SZ Lin (林上智) <szlin@debian.org>
+Build-Depends: debhelper (>= 10),
+               cmake (>= 2.8),
                pkg-config,
-               libglib2.0-dev,
-               libgcrypt11-dev,
+               libglib2.0-dev (>= 2.32),
+               libgcrypt20-dev,
                libgnutls28-dev,
                libpcap-dev,
-               libopenvas-dev (>= 8.0.2),
+               libopenvas-dev (>= 9),
                po-debconf,
                doxygen
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: http://www.openvas.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/openvas-scanner.git
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-security/openvas-scanner.git
