=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 override_dh_installinit:
 	dh_installinit --no-start
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='openvas-scanner (<< 5.0.7-1~)'
-
 override_dh_auto_clean:
 	debconf-updatepo
 	dh_auto_clean
