## openvas-scanner 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -73,7 +73,7 @@
 # we require CMake >= 3.0
 set (PROJECT_VERSION_MAJOR 5)
 set (PROJECT_VERSION_MINOR 1)
-set (PROJECT_VERSION_PATCH 1)
+set (PROJECT_VERSION_PATCH 2)
 
 # Set beta version if this is a beta release series,
 # unset if this is a stable release series.
@@ -186,9 +186,9 @@
 
 ## Dependency checks
 
-pkg_check_modules (LIBOPENVAS_NASL REQUIRED libopenvas_nasl>=9.0.0)
-pkg_check_modules (LIBOPENVAS_BASE REQUIRED libopenvas_base>=9.0.0)
-pkg_check_modules (LIBOPENVAS_MISC REQUIRED libopenvas_misc>=9.0.0)
+pkg_check_modules (LIBOPENVAS_NASL REQUIRED libopenvas_nasl>=9.0.2)
+pkg_check_modules (LIBOPENVAS_BASE REQUIRED libopenvas_base>=9.0.2)
+pkg_check_modules (LIBOPENVAS_MISC REQUIRED libopenvas_misc>=9.0.2)
 pkg_check_modules (GLIB REQUIRED glib-2.0>=2.32)
 
 message (STATUS "Looking for libgcrypt...")
