=== debian/changelog ===
openvas-scanner (5.1.2-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * Update debian/watch and debian/control with new upstream github repository
  * Import new usptream release
  * Update minimal required version of libopenvas-dev

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.1.5.
  * Drop lintian override for debian-watch-uses-insecure-uri which is no
    longer needed with the move to GitHub.

 -- Sophie Brun <sophie@freexian.com>  Fri, 06 Jul 2018 14:34:38 +0200

openvas-scanner (5.1.1-4) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Fix the path of the unix socket also for the SystemV init script
  * Drop debconf support as nothing uses the data of the debconf question
  * Switch to debhelper compat 11
  * Drop git-dpm file as we don't use git-dpm
  * Drop prerm script, it's not doing anything useful
  * Configure a redis-server for openvas using systemd's multi-instance
    support.  openvas-scanner.service requires redis-server@openvas.service
    which will bring into life a new redis-server using our
    /etc/redis/redis-openvas.conf (Closes: #863240)
  * Improve sysv initscript and document its limitations in README.Debian
    (Closes: #865445)
  * Bump Standards-Version to 4.1.3

  [ Jonathan Landis ]
  * Fix the path of the --unix-socket argument in openvas-scanner.service
    (Closes: #863240)

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 05 Apr 2018 22:25:07 +0200
