=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: openvas-scanner
 Section: admin
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                cmake (>= 2.8),
                pkg-config,
                libglib2.0-dev (>= 2.32),
                libgcrypt20-dev,
                libgnutls28-dev,
                libpcap-dev,
-               libopenvas-dev (>= 9),
-               po-debconf,
+               libopenvas-dev (>= 9.0.2),
                doxygen
-Standards-Version: 4.1.2
+Standards-Version: 4.1.5
 Homepage: http://www.openvas.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/openvas-scanner.git
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-security/openvas-scanner.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/openvas-scanner
+Vcs-Git: https://salsa.debian.org/pkg-security-team/openvas-scanner.git
 
 Package: openvas-scanner
 Section: net
